/* 
   Input source needed by XML parser
   Copyright (C) 2003-2004, Lei Jiang <sledge10@hotmail.com>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA

   $Id: DavXmlInputSource.cpp 132 2005-06-24 09:09:43Z komat $
*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

#include <onion/DavXmlInputSource.h>
#include <onion/DavXmlInputStream.h>
#include <onion/DavResponseBody.h>

CDavXmlInputSource::CDavXmlInputSource(CDavResponseBody* pBody):
  m_pBody(pBody)
{
  OI_ASSERT(m_pBody);
  OI_ASSERT(M_RSP_NO_BODY != m_pBody->m_enuMode);
}

CDavXmlInputSource::~CDavXmlInputSource()
{
}

XNS(BinInputStream)* 
CDavXmlInputSource::makeStream() const
{
  return new CDavXmlInputStream(m_pBody);
}

